Bug 145871 - pcmcia starts on boot after update
Summary: pcmcia starts on boot after update
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: pcmcia-cs
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-22 22:03 UTC by Jeff Moe (jebba)
Modified: 2015-01-04 22:16 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2005-01-23 00:19:19 UTC


Attachments (Terms of Use)

Description Jeff Moe (jebba) 2005-01-22 22:03:52 UTC
Description of problem:
After an update of pcmcia-cs it starts on boot, even when the previous
version was set to not start on boot. So if pcmcia-cs is installed,
but not in use, a user who thinks they have it disabled will have it
re-enabled at boot when they upgrade.

Version-Release number of selected component (if applicable):
pcmcia-cs-3.2.7-2.1 and earlier

How reproducible:
Get an older version of pcmcia-cs, turn it off on boot, upgrade.

Steps to Reproduce:
1.
rpm -U --oldpackage pcmcia-cs-[old version]

2.
chkconfig --del pcmcia

3.
rpm -U pcmcia-cs-3.2.7-2.1

4.
chkconfig --list | grep pcmcia    [shows pcmcia on]


Actual results:
pcmcia is set to start on boot.

Expected results:
pcmcia is left at it's previous setting to not start on reboot.
Apache, for example, honors it's previous setting.

Additional info:
Similar to recently fixed cups bug: 
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=145629

Comment 1 Dave Jones 2005-01-23 00:19:19 UTC
use chkconfig pcmcia off instead of step 2.



Note You need to log in before you can comment on or make changes to this bug.